Upload file to chat
POST
/chats/{session_id}/files
Upload a file to a chat session. The file is stored on CDN and a message with the attachment is created. Requires chats:write scope. Max 100 MB.
Authorizations
BearerAuth
API key in format lm_xxxxxxxxxxxxxxxx. Get your key at app.looma.chat/integrations.
Type
HTTP (bearer)
Parameters
Path Parameters
session_id*
Type
Requiredstring
Request Body
multipart/form-data
file
string
Required
File to upload
Format
"binary"message
string
Optional text message to accompany the file
Responses
File uploaded
application/json
{
"success": true,
"data": {
"file": {
"uuid": "a1b2c3d4e5f67890a1b2c3d4e5f67890",
"url": "string",
"name": "photo.jpg",
"size": 0,
"mime_type": "image/jpeg",
"is_image": true
},
"message_id": 0
}
}

